- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Fetches all frameworks for assessment report.
HTTP request
GET https://designcenter.googleapis.com/v1/{parent=projects/*/locations/*}:fetchFrameworks
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
projects[] |
Optional. Projects to fetch frameworks for. Format: projects/{project} |
pageSize |
Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available. |
pageToken |
Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call. |
filter |
Optional. Filter for frameworks list. |
Request body
The request body must be empty.
Response body
Response for locations.fetchFrameworks rpc
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"frameworks": [
{
object ( |
| Fields | |
|---|---|
frameworks[] |
The list of frameworks. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
designcenter.locations.get
For more information, see the IAM documentation.